| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::Filter Class Reference

## Public Member Functions
void | fromString (const QString &filter)
bool | match (const QStringList &wildcards, const QString &name)
bool | matchesCurrentFilter (const CamItemInfo &item)
const QStringList & | mimeWildcards (const QString &mime)
const QRegularExpression & | regexp (const QString &wildcard)
QString | toString ()

## Public Attributes
QStringList | fileFilter
QHash< QString, QRegularExpression > | filterHash
QStringList | ignoreExtensions
QStringList | ignoreNames
QString | mimeFilter
QHash< QString, QStringList > | mimeHash
QString | name
bool | onlyNew = false
QStringList | pathFilter